import { Provider } from "@/components/Provider";
import { useArticle, useAuth, useCategory } from "@/modules";
import { defineComponent } from "vue";

export default defineComponent(() => {
  const storeAuth = useAuth();
  const storeCategory = useCategory();
  storeAuth.initAuth();
  storeCategory.initCategories();
  const artStore = useArticle();
  artStore.initArticle();
  return () => (
    <Provider>
      <router-view></router-view>
    </Provider>
  );
});
